package com.fs.watch.service;

import com.fs.watch.domain.WatchThirdBpData;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_third_bp_data(设备三方血压)】的数据库操作Service
* @createDate 2024-10-15 11:06:51
*/
public interface WatchThirdBpDataService{

    /**
     * 新增数据
     *
     * @param watchThirdBpData 实例对象
     * @return 实例对象
     */
    Boolean insert(WatchThirdBpData watchThirdBpData);

    List<WatchThirdBpData> queryByDateAndDeviceId(String date, String deviceId);

    List<WatchThirdBpData> queryBpByDate(String startTime, String endTime, String deviceId, Integer status);

    WatchThirdBpData getLatest(String deviceId);

    Integer getStatus(int sbp, int dbp);

    List<Map<String, Object>> countBpByDate(Date startTime, Date endTime, String deviceId);

    int countBpPageByDate(Date startTime, Date endTime, String deviceId, Integer status);

    List<WatchThirdBpData> queryBgPageByDate(Date startTime, Date endTime, String deviceId, Integer status, Integer num, Integer size);
}
